#
# spec file for package sapcontrol-bash-completion
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sapcontrol-bash-completion
VCS: https://src.suse.de/SLFO-pool/sapcontrol-bash-completion#a44d82c0ae9e120ca6169e128f9398ef9065ccbd9721a7a2ffcd6545eb7f11a3
Version:        0.3.0
Release:        160000.1.3
Summary:        Bash completion support for sapcontrol
License:        GPL-3.0-only
URL:            https://github.com/sap-linuxlab/tool.sapcontrol-bash-completion
Source:         %{name}-%{version}.tar.gz
Requires:       bash-completion
BuildArch:      noarch

%description
Bash completion for not all, but the most important options of the sapcontrol command.

%prep
%setup -n %{name}-%{version}

%build

%install
mv readme_short README
mkdir -p %{buildroot}/%{_datadir}/bash-completion/completions
install -m 0644 sapcontrol.completion %{buildroot}%{_datadir}/bash-completion/completions/sapcontrol

%files
%license LICENSE
%doc README
%attr(0755,root,root) %{_datadir}/bash-completion/completions/sapcontrol

%changelog
* Wed Jan 18 2023 abriel@suse.com
- initial version 0.3.0
  * add bash completion for the most important/used options of
    sapcontrol command
    (jsc#PED-2213)
